
require 'presto/version'
require 'presto/configuration'

module Presto
	class << self
		attr_writer :configuration

		def configure
			yield(configuration)
		end

		def configuration
			@configuration ||= ::Presto::Configuration.new
		end
	end
end